from olives_types import Position2

class JobContext:
    """
    This is the wrapper around the C++ "JobContext" class.

    The "olives" prefix in the file indicates it is not meant to be edited for modifying,
    as this will most definitely result in breakage.
    """

    def get_action(self) -> str: ...

    def set_action(self, action: str): ...

    def get_position(self) -> Position2: ...

    def get_object_id(self) -> int: ...;

    def get_parameter(self) -> str: ...
